# TrackStartingTrackInteractiveOverlayEventArgs


## Inheritance Hierarchy

+ `Object`
  + `EventArgs`
    + **`TrackStartingTrackInteractiveOverlayEventArgs`**

## Members Summary

### Public Constructors Summary


|Name|
|---|
|[`TrackStartingTrackInteractiveOverlayEventArgs()`](#trackstartingtrackinteractiveoverlayeventargs)|
|[`TrackStartingTrackInteractiveOverlayEventArgs(Vertex,Boolean)`](#trackstartingtrackinteractiveoverlayeventargsvertexboolean)|

### Protected Constructors Summary


|Name|
|---|
|N/A|

### Public Properties Summary

|Name|Return Type|Description|
|---|---|---|
|[`Cancel`](#cancel)|`Boolean`|This property gets or sets the action to be canceled or not.|
|[`StartingVertex`](#startingvertex)|[`Vertex`](../ThinkGeo.Core/ThinkGeo.Core.Vertex.md)|This property gets or sets the started vertex when tracking shape action is being to start.|

### Protected Properties Summary

|Name|Return Type|Description|
|---|---|---|
|N/A|N/A|N/A|

### Public Methods Summary


|Name|
|---|
|[`Equals(Object)`](#equalsobject)|
|[`GetHashCode()`](#gethashcode)|
|[`GetType()`](#gettype)|
|[`ToString()`](#tostring)|

### Protected Methods Summary


|Name|
|---|
|[`Finalize()`](#finalize)|
|[`MemberwiseClone()`](#memberwiseclone)|

### Public Events Summary


|Name|Event Arguments|Description|
|---|---|---|
|N/A|N/A|N/A|

## Members Detail

### Public Constructors


|Name|
|---|
|[`TrackStartingTrackInteractiveOverlayEventArgs()`](#trackstartingtrackinteractiveoverlayeventargs)|
|[`TrackStartingTrackInteractiveOverlayEventArgs(Vertex,Boolean)`](#trackstartingtrackinteractiveoverlayeventargsvertexboolean)|

### Protected Constructors


### Public Properties

#### `Cancel`

**Summary**

   *This property gets or sets the action to be canceled or not.*

**Remarks**

   *N/A*

**Return Value**

`Boolean`

---
#### `StartingVertex`

**Summary**

   *This property gets or sets the started vertex when tracking shape action is being to start.*

**Remarks**

   *N/A*

**Return Value**

[`Vertex`](../ThinkGeo.Core/ThinkGeo.Core.Vertex.md)

---

### Protected Properties


### Public Methods

#### `Equals(Object)`

**Summary**

   *N/A*

**Remarks**

   *N/A*

**Return Value**

|Type|Description|
|---|---|
|`Boolean`|N/A|

**Parameters**

|Name|Type|Description|
|---|---|---|
|obj|`Object`|N/A|

---
#### `GetHashCode()`

**Summary**

   *N/A*

**Remarks**

   *N/A*

**Return Value**

|Type|Description|
|---|---|
|`Int32`|N/A|

**Parameters**

|Name|Type|Description|
|---|---|---|
|N/A|N/A|N/A|

---
#### `GetType()`

**Summary**

   *N/A*

**Remarks**

   *N/A*

**Return Value**

|Type|Description|
|---|---|
|`Type`|N/A|

**Parameters**

|Name|Type|Description|
|---|---|---|
|N/A|N/A|N/A|

---
#### `ToString()`

**Summary**

   *N/A*

**Remarks**

   *N/A*

**Return Value**

|Type|Description|
|---|---|
|`String`|N/A|

**Parameters**

|Name|Type|Description|
|---|---|---|
|N/A|N/A|N/A|

---

### Protected Methods

#### `Finalize()`

**Summary**

   *N/A*

**Remarks**

   *N/A*

**Return Value**

|Type|Description|
|---|---|
|`Void`|N/A|

**Parameters**

|Name|Type|Description|
|---|---|---|
|N/A|N/A|N/A|

---
#### `MemberwiseClone()`

**Summary**

   *N/A*

**Remarks**

   *N/A*

**Return Value**

|Type|Description|
|---|---|
|`Object`|N/A|

**Parameters**

|Name|Type|Description|
|---|---|---|
|N/A|N/A|N/A|

---

### Public Events


